### Method

# Json Node init

#### Declaration [src]

    JsonNode*
    json_node_init (
      JsonNode* node,
      JsonNodeType type
    )

#### Description [src]

Initializes a `node` to a specific `type`.

If the node has already been initialized once, it will be reset to the given type, and any data contained will be cleared.

Available since: | 0.16

#### Parameters

`type` | `JsonNodeType`
| The type of JSON node to initialize `node` to.

#### Return value

Returns: | `JsonNode`
| The initialized node.
| The data is owned by the instance.